#hero-section {background-color: hsla(120, 3%, 6%, 70%);}

#services {
    background: var(--primary-color-2);
    color: #000;
}

#website-services {
    background-color: var(--primary-color-3);
}

#website-services p a {color: #000;}

#website-services .btn-1.black-bckg:hover {
    background-color: var(--primary-color-2);
    color: var(--primary-color-1);
}

#website-services .btn-1.white-bdr:hover {
    color: var(--primary-color-1);
    border-color: var(--primary-color-1);
}

#professional-email-services {background-color: hsla(120, 3%, 6%, 90%);}

#professional-email-services .btn-1.teal-bckg:hover {
    background-color: var(--primary-color-2);
    color: var(--primary-color-3);
}

#professional-email-services .btn-1.teal-bdr:hover {
    color: var(--primary-color-2);
    border-color: var(--primary-color-2);
}

#portfolio {
    background-color: var(--primary-color-2);
    color: #000;
}

#portfolio .btn-container .btn-1.teal-bckg:hover {background-color: var(--primary-color-1);}
#portfolio .btn-container .btn-1.teal-bdr:hover {
    color: var(--primary-color-1);
    border-color: var(--primary-color-1);
}

#testimonials {background-color: hsla(120, 3%, 6%, 70%);}

#blogs {background-color: var(--primary-color-3);}

#blogs h3 {
    font-size: 30px;
    line-height: 40px;
}

#blogs input {
    background-color: transparent;
    width: 100%;
    padding: 10px;
    border: none;
    border-radius: 5px;
}

#blogs .article-container {
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 30px;
    padding-top: 50px;
}

#blogs article {
    display: flex;
    font-size: 15px;
    line-height: 24px;
    flex-direction: row-reverse;
    align-items: center;
    border-radius: 5px;
    cursor: pointer;
}

#blogs article > div {
    width: 65%;
    padding: 8px 2%;
}

#blogs article a {
    color: #000;
    text-decoration: none;   
}

#blogs article p {
    max-height: 6ch;
    /* color: #fff; */
    overflow: hidden;
    position: relative;
}

#blogs article p::after {
    content: "...";
    position: absolute;
    bottom: 0;
    right: 0;
}

#blogs article img {
    width: auto;
    max-width: 35%;
    height: 100%;
}

#business-blog p a {color: #000;}

#business-blog input {
    color: #fff;
    border-bottom: 2px solid #fff;
}

#business-blog input::placeholder {color: var(--primary-color-2);}

#business-blog input:focus {
    border-color: transparent;
    outline: 2px solid var(--primary-color-2);
}

#business-blog form .btn-1.black-bckg:hover {
    background-color: var(--primary-color-2);
    color: var(--primary-color-1);
}

#business-blog article {
    background-color: #fff;
    color: var(--primary-color-1);
}

#business-blog .article-container .btn-1.white-bdr:hover {
    color: var(--primary-color-1);
    border-color: var(--primary-color-1);
}

#techies-blog {
    background-color: var(--primary-color-2);
    color: #000;
}

#techies-blog input {border-bottom: 2px solid #000;}

#techies-blog input::placeholder {color: #000;}

#contacts {
    background-color: var(--primary-color-2);
    color: #000;
}

#contacts .contacts-list a:hover {color: var(--primary-color-3);}

#contacts input, #contacts textarea {border-bottom: 2px solid #000;}

#contacts input::placeholder {color: #000;}

#contacts .btn-1.black-bckg:hover {background-color: var(--primary-color-3);}

@media (min-width: 450px) {
    #blogs article p {
        max-height: 9ch;
    }
}

@media (min-width: 1024px) {
    #website-services .title-container,
    #business-blog .title-container,
    #techies-blog .title-container {
        align-self: flex-start;
    }

    #blogs .article-container {
        padding-top: 0;
    }
}

@media (min-width: 1300px) {
    #blogs article p {
        max-height: 12ch;
    }
}